<?php
// START CONTACT SECTION 
$wp_customize->add_section(
	'appoi_section',
	array(
		'title'         => __( 'Appointment Section', 'Luzuk Premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'appoi_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'appoi_disable',
		array(
			'settings'      => 'appoi_disable',
			'section'       => 'appoi_section',
			'label'         => __( 'Disable Section', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			)   
		)
	)
);


backgroundManager($wp_customize, 'appointment', 'appoi_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'appoi_sectionnpadding', 'appoi_section', 'Section Padding ');

$wp_customize->add_setting(
    'appoinmentsection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2.6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appoinmentsection_toppadding',
    array(
        'settings'      => 'appoinmentsection_toppadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Top ', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'appoinmentsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appoinmentsection_bottompadding',
    array(
        'settings'      => 'appoinmentsection_bottompadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Bottom ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'app_detailbg', 'appoi_section', 'Section Left Box');

$wp_customize->add_setting(
    'appheading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Get In Touch' )
    )
);
$wp_customize->add_control(
    'appheading',
    array(
        'settings'      => 'appheading',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Heading', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'app_secheadingclr', 'appoi_section', 'Heading Color', '#000');

$wp_customize->add_setting(
    'appsubheading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Nulla eleifend volutpat felis, a volutpat nibh. Phasellus ullamcorper felis a sagittis finibus. Suspendisse neque nulla, gravida vitae tortor vel, ultricies blandit dolor.' )
    )
);
$wp_customize->add_control(
    'appsubheading',
    array(
        'settings'      => 'appsubheading',
        'section'       => 'appoi_section',
        'type'          => 'textarea',
        'label'         => __( 'Text', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'inquiry_lftboxsubheadingclr', 'appoi_section', 'Text Color', '#707070');

$wp_customize->add_setting(
    'infphtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+023 1234 564' )
    )
);
$wp_customize->add_control(
    'infphtxt',
    array(
        'settings'      => 'infphtxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'infemiltxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'info@tfgdaeyhjuiikkmail.com' )
    )
);
$wp_customize->add_control(
    'infemiltxt',
    array(
        'settings'      => 'infemiltxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Email Id', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'inftxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '21 Main St Lockport North Dakota 14094 (716) 434-0500 United States.' )
    )
);
$wp_customize->add_control(
    'inftxt',
    array(
        'settings'      => 'inftxt',
        'section'       => 'appoi_section',
        'type'          => 'textarea',
        'label'         => __( 'Address Text', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'app_dlhsbcclr', 'appoi_section', 'Left Box Color');

addColorPalatOption($wp_customize, 'inquiry_btntxticnclr', 'appoi_section', 'Icon Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_btntxticnbgclr', 'appoi_section', 'Icon BG Color', '#B05D5D');

addColorPalatOption($wp_customize, 'inquiry_btntxtclr', 'appoi_section', 'Phone No, Email And Address Text Color', '#000');

addColorPalatOption($wp_customize, 'inquiry_btntxthvclr', 'appoi_section', 'Phone No And Email Text Hover Color', '#B05D5D');

lzCustomLable($wp_customize, 'app_detailrghtbg', 'appoi_section', 'Section Right Box');

lzCustomLable($wp_customize, 'app-secheading', 'appoi_section', 'Form Heading ');

$wp_customize->add_setting(
    'appform_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Contact Form', 'luzuk' )
    )
);
$wp_customize->add_control(
    'appform_maintitle',
    array(
        'settings'      => 'appform_maintitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Form Heading ', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'inquiry_lftboxheadingclr', 'appoi_section', 'Form Heading Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_fmheadBGclr', 'appoi_section', 'Form Heading BG Color', '#B05D5D');

addColorPalatOption($wp_customize, 'inquiry_fmheadBGcornclr', 'appoi_section', 'Form Heading BG Corner Color', '#F18E8E');

// ===========Form Section ==========//

lzCustomLable($wp_customize, 'contactf', 'appoi_section', 'Form Section');


lzCustomLable($wp_customize, 'appointmentright_Form_label', 'appoi_section', 'Contact Inquiry Form Shortcode');

lzAddElement($wp_customize, 'luzuk_inquiry_shortcode', 'appoi_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

addColorPalatOption($wp_customize, 'inquiry_formbxbgClr', 'appoi_section', 'Right Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_forminputtxtClr', 'appoi_section', 'Form Input Text / Placeholder Color', '#8F8C8C');

addColorPalatOption($wp_customize, 'inquiry_forminputtxbgtClr', 'appoi_section', 'Form Input Placeholder BG Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_forminputbgColor', 'appoi_section', 'Form Input Border Color', '#9F9B9B');

addColorPalatOption($wp_customize, 'inquiry_formlabelColor', 'appoi_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'inquiry_formbuttontextColor', 'appoi_section', 'Form Button Text Color', '#000');

addColorPalatOption($wp_customize, 'inquiry_formbuttontexthoverColor', 'appoi_section', 'Form Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_formbuttonbgColor', 'appoi_section', 'Form Button BG Color', '#FFE8E8');

addColorPalatOption($wp_customize, 'inquiry_formbuttonbghoverColor', 'appoi_section', 'Form Button BG Hover Color', '#B05D5D');

addColorPalatOption($wp_customize, 'inquiry_formbuttonbgbrdClr', 'appoi_section', 'Form Button BG Border Color', '#B05D5D');

// social media

lzCustomLable($wp_customize, 'appsmedia', 'appoi_section', 'Social Media');

// FACEBOOK 
$wp_customize->add_setting('app_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('app_fb',
    array(
        'settings'      => 'app_fb',
        'section'       => 'appoi_section',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'luzuk-premium' )
    )
);


// Instagram
$wp_customize->add_setting('app_insta',array('default'=> 'https://www.instagram.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('app_insta',
    array(
        'settings'      => 'app_insta',
        'section'       => 'appoi_section',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'luzuk-premium' )
    )
);

// TWITTER
$wp_customize->add_setting('app_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('app_tw',
    array(
        'settings'      => 'app_tw',
        'section'       => 'appoi_section',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'luzuk-premium' )
    )
);

// pinterest
$wp_customize->add_setting('app_pint',array('default'=> 'https://in.pinterest.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('app_pint',
    array(
        'settings'      => 'app_pint',
        'section'       => 'appoi_section',
        'type'          => 'url',
        'label'         => __( 'Pinterest Url', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'app_sclicnClr', 'appoi_section', 'Social Icon Color', '#B05D5D');

addColorPalatOption($wp_customize, 'app_sclicnhvClr', 'appoi_section', 'Social Icon Hover Color', '#000');